Bug 1024708 - cowsay included non-free art
Summary: cowsay included non-free art
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cowsay (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-10-30 09:47 UTC by mejiko
Modified: 2014-01-22 19:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 19:40:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1020893 None None None Never

Description mejiko 2013-10-30 09:47:16 UTC
Hello.

cowsay included non-free images.
This is BSD daemon ASCII art.

BSD daemon copyright license is very very restrictive, Its non-free.


URI:

http://www.freebsd.org/copyright/daemon.html
http://www.mckusick.com/beastie/mainpage/copyright.html


1. remove non-free images and rebuild.

2. replace fedora free (Fedora acceptable licensed) images.

3. contact BSD daemon author.

4. remove fedora repos.


Thanks.


Reference:

https://bugzilla.redhat.com/show_bug.cgi?id=1020893

Comment 1 mejiko 2013-10-30 09:47:59 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Hans Ulrich Niedermann 2013-11-16 11:59:31 UTC
Is this ASCII art even covered under those BSD copyrights?

It does not look anything like those images of the red devil-type bitmap images listed on the the freebsd.org and mckusick.com websites.

Removing /usr/share/cowsay/daemon.cow from the RPM would be trivial, of course.

Comment 3 Tom "spot" Callaway 2014-01-22 19:40:01 UTC
There is reasonable evidence that daemon.cow was contributed to cowsay by the copyright holder (Marshall Kirk McKusick). As such, I consider this to be free (unless proven otherwise).


Note You need to log in before you can comment on or make changes to this bug.